#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ShareDir-Install
Summary:	File::ShareDir::Install - Install shared files
Summary(pl.UTF-8):	File::ShareDir::Install - instalowanie współdzielonych plików
Name:		perl-File-ShareDir-Install
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	61107e6ce6eee42bf29525b1a4d029e0
URL:		http://search.cpan.org/dist/File-ShareDir-Install/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.11
BuildRequires:	perl-Module-Build-Tiny >= 0.034
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Install shared files.

%description -l pl.UTF-8
Instalowanie współdzielonych plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/File/ShareDir
%{perl_vendorlib}/File/ShareDir/Install.pm
%{_mandir}/man3/File::ShareDir::Install.3pm*
%changelog
* Wed Nov 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-ShareDir-Install.git;a=log;h=master

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 0b1d6b3
- updated to 0.11

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> a43f38d
- updated to 0.10
- pl, removed bogus BRs

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fa4e0ef
- add dir

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 85010ec
- initial

